Name: libspiff
Version: 0.8.3
Release: alt1

Summary: XSPF playlist reading and writing support

License: BSD
Group: System/Libraries
Url: http://libspiff.sourceforge.net/

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://dl.sourceforge.net/libspiff/%name-%version.tar.bz2

# Automatically added by buildreq on Sun Aug 05 2007
BuildRequires: gcc-c++ libexpat-devel liburiparser-devel

%description
libSpiff brings XSPF playlist reading and writing support to your C++
application.

%package devel
Summary: Header files for libspiff
Group: Development/Other
Requires: %name = %version-%release
#Requires: liburiparser-devel >= 0.3.0

%description devel
Header files for libspiff.

%prep
%setup -q

%build
%configure --disable-static
%make_build

%install
%make_install install \
	DESTDIR=%buildroot

%post -p %post_ldconfig
%postun -p %post_ldconfig

%files
%doc AUTHORS ChangeLog NEWS README THANKS
%_bindir/*
%_libdir/lib*.so.*

%files devel
%_libdir/lib*.so
%_includedir/spiff/
%doc examples/

%changelog
* Sat Mar 08 2008 Vitaly Lipatov <lav@altlinux.ru> 0.8.3-alt1
- new version 0.8.3 (with rpmrb script)

* Mon Dec 24 2007 Vitaly Lipatov <lav@altlinux.ru> 0.8.2-alt2
- rebuld with new liburiparser 0.6.2 (change soname)

* Sat Nov 03 2007 Vitaly Lipatov <lav@altlinux.ru> 0.8.2-alt1
- new version 0.8.2 (with rpmrb script)

* Sun Oct 07 2007 Vitaly Lipatov <lav@altlinux.ru> 0.8.1-alt1
- new version 0.8.1 (with rpmrb script)

* Tue Sep 18 2007 Vitaly Lipatov <lav@altlinux.ru> 0.8.0-alt1
- new version 0.8.0 (with rpmrb script)

* Sun Aug 05 2007 Vitaly Lipatov <lav@altlinux.ru> 0.7.1-alt1
- initial build for ALT Linux Sisyphus (spec from PLD)

